### Class

# St Clipboard

#### Description [src]

    class St.Clipboard : GObject.Object
    {
      /* No available fields */
    }

A simple representation of the clipboard

`StCliboard` is a very simple object representation of the clipboard available to applications. Text is always assumed to be UTF-8 and non-text items are not handled.

#### Ancestors

- GObject

#### Functions

###### st_clipboard_get_default

Get the global `StClipboard` object that represents the clipboard.

###### st_clipboard_set_selection

Sets the `MetaSelection` of the default `StClipboard`.

#### Instance methods

###### st_clipboard_get_content

Request the data from the clipboard in `GBytes` form. `callback` is executed when the data is retrieved.

###### st_clipboard_get_mimetypes

Gets a list of the mimetypes supported by the default `StClipboard`.

###### st_clipboard_get_text

Request the data from the clipboard in text form. `callback` is executed when the data is retrieved.

###### st_clipboard_set_content

Sets the clipboard content to `bytes`.

###### st_clipboard_set_text

Sets text as the current contents of the clipboard.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct StClipboardClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.